Bug 223384 - [iOS] Update sandbox message filter syntax
Summary: [iOS] Update sandbox message filter syntax
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on: 224999
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-17 10:04 PDT by Per Arne Vollan
Modified: 2021-04-26 07:28 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.12 KB, patch)
2021-03-17 10:06 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (1.31 KB, patch)
2021-04-22 07:50 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2021-03-17 10:04:40 PDT
Update sandbox message filter syntax on iOS. The previous syntax should also still be supported.
Comment 1 Radar WebKit Bug Importer 2021-03-17 10:05:12 PDT
<rdar://problem/75531614>
Comment 2 Per Arne Vollan 2021-03-17 10:06:41 PDT
Created attachment 423500 [details]
Patch
Comment 3 Per Arne Vollan 2021-04-22 07:50:45 PDT
Created attachment 426811 [details]
Patch
Comment 4 Brent Fulgham 2021-04-22 11:00:52 PDT
Comment on attachment 426811 [details]
Patch

r=me
Comment 5 Per Arne Vollan 2021-04-22 11:02:27 PDT
Comment on attachment 426811 [details]
Patch

Thanks for reviewing!
Comment 6 EWS 2021-04-22 12:19:17 PDT
Committed r276451 (236911@main): <https://commits.webkit.org/236911@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 426811 [details].
Comment 7 WebKit Commit Bot 2021-04-23 14:36:33 PDT
Re-opened since this is blocked by bug 224999
Comment 8 Brent Fulgham 2021-04-23 15:10:21 PDT
Comment on attachment 423500 [details]
Patch

Clever backwards compatibility change. r=me
Comment 9 Per Arne Vollan 2021-04-26 07:02:48 PDT
(In reply to Brent Fulgham from comment #8)
> Comment on attachment 423500 [details]
> Patch
> 
> Clever backwards compatibility change. r=me

Thanks for reviewing!
Comment 10 EWS 2021-04-26 07:28:21 PDT
Committed r276590 (237026@main): <https://commits.webkit.org/237026@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 423500 [details].